Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jk.common
Class ChannelUn

    java.lang.Object
      org.apache.jk.core.JkHandler
          org.apache.jk.common.JniHandler
              org.apache.jk.common.ChannelUn

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationListener

public class ChannelUn
extends JniHandler

Pass messages using unix domain sockets.

Author:
  Costin Manolache

Field Summary

Fields inherited from class org.apache.jk.common.JniHandler
`apr, C2B_NOTE, JK_HANDLE_JNI_DISPATCH, JK_HANDLE_SHM_DISPATCH, jkHome, MB_NOTE, MSG_NOTE, nativeJkHandlerP`

Fields inherited from class org.apache.jk.core.JkHandler
`domain, ERROR, HANDLE_FLUSH, HANDLE_RECEIVE_PACKET, HANDLE_SEND_PACKET, id, LAST, mserver, name, next, nextName, OK, oname, properties, wEnv`

Constructor Summary
`ChannelUn()`

Method Summary
`void` | `close(MsgContext ep)`
`void` | `destroy()` Clean up and stop the handler
`java.lang.String` | `getFile()`
`ThreadPool` | `getThreadPool()`
`void` | `init()` You must call initNative() inside the component init()
`int` | `invoke(Msg msg, MsgContext ep)` Base implementation for invoke.
`int` | `open(MsgContext ep)` Open a connection - since we're listening that will block in accept
`int` | `receive(Msg msg, MsgContext ep)`
`int` | `send(Msg msg, MsgContext ep)`
`void` | `setFile(java.lang.String f)`

Methods inherited from class org.apache.jk.common.JniHandler
`appendString, createMsgContext, destroyJkComponent, getJkHome, initJkComponent, initNative, nativeDispatch, recycleNative, setJkHome, setNativeAttribute, setNativeEndpoint`

Methods inherited from class org.apache.jk.core.JkHandler
`addHandlerCallback, getDomain, getId, getName, getNext, getObjectName, getProperty, handleNotification, postDeregister, postRegister, preDeregister, preRegister, setId, setName, setNext, setNext, setProperty, setWorkerEnv`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChannelUn

    public ChannelUn()

Method Detail

### getThreadPool

    public ThreadPool getThreadPool()

### setFile

    public void setFile(java.lang.String f)

### getFile

    public java.lang.String getFile()

### init

    public void init()
              throws java.io.IOException

  Description copied from class: `JniHandler`
  You must call initNative() inside the component init()

  Overrides:
    `init` in class `JniHandler`
  Throws:
    `java.io.IOException`

### destroy

    public void destroy()
                 throws java.io.IOException

  Description copied from class: `JkHandler`
  Clean up and stop the handler

  Overrides:
    `destroy` in class `JkHandler`
  Throws:
    `java.io.IOException`

### open

    public int open(MsgContext ep)
             throws java.io.IOException

  Open a connection - since we're listening that will block in accept

  Throws:
    `java.io.IOException`

### close

    public void close(MsgContext ep)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### send

    public int send(Msg msg,
                    MsgContext ep)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### receive

    public int receive(Msg msg,
                       MsgContext ep)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### invoke

    public int invoke(Msg msg,
                      MsgContext ep)
               throws java.io.IOException

  Description copied from class: `JniHandler`
  Base implementation for invoke. Dispatch the action to the native code, where invoke() is called on the wrapped jk_bean.

  Overrides:
    `invoke` in class `JniHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.